post
https://mapi-sandbox.unimaze.com/api/v1/transactions/submit-order-change
Creates a SubmitOrderChange business transaction from a metadata structure.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.
This document is for customer changing an order. See Send order response for advanced procurement for supplier changing an order.
The following example contains the minimum JSON body required to create a valid order change. These elements are mandatory.
{
"messageHandling": {
"receiverIdentifier": "0196:2222228899",
"fallbackEmailAddress": "[email protected]"
},
"orderchange": {
"orderNo": "ORD1234",
"issueDate": "2019-05-26T10:15:42.774Z",
"currencyCode": "USD",
"sequenceNumber": 1,
"orderReference": "Tilvísun",
"customer": {
"name": "Test Party One",
"identifier": "0196:1111118899",
"address": {
"streetNameAndNumber": "42nd Street 1",
"city": "New York",
"postalZone": "10036",
"countryCode": "US"
}
},
"supplier": {
"name": "Test Party Two",
"identifier": "0196:2222228899",
"address": {
"streetNameAndNumber": "14th Street 52",
"city": "New York",
"postalZone": "10011",
"countryCode": "US"
}
},
"orderLines": [
{
"name": "Product A",
"quantity": 1,
"unitOfMeasure": {
"unit": "Rec20",
"code": "KHZ"
},
"unitPriceAmount": 1000,
"lineStatusCode": 4
}
]
}
}